/*
 * Copyright (c) 2012 d4rxh4wx
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.d4rxh4wx.android.sqlite;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class ActivityB extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        Button button = (Button) findViewById(R.id.button1);
        button.setVisibility(View.GONE);
    }
    
    @Override
	protected void onStart() {
    	Logger.INSTANCE.debug("ACTIVITY", "ActivityB onStart");
		super.onStart();
	}
    
    

	@Override
	protected void onResume() {
		Logger.INSTANCE.debug("ACTIVITY", "ActivityB onResume");
		SimpleDbHelper.INSTANCE.open(this.getApplicationContext());
		super.onResume();
	}

	@Override
	protected void onPause() {
		Logger.INSTANCE.debug("ACTIVITY", "ActivityB onPause");
		SimpleDbHelper.INSTANCE.close();
		super.onPause();
	}

	@Override
	protected void onStop() {
		Logger.INSTANCE.debug("ACTIVITY", "ActivityB onStop");
		super.onStop();
	}

}
